> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uqpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Deposit

> 使用给定的 deposit ID 获取某笔充值的详情。



## OpenAPI

````yaml /zh/global-account/v1.6/banking.yaml get /v1/deposit/{id}
openapi: 3.0.2
info:
  title: Banking API
  version: 0.0.1
  x-source-en-commit: 5e7e320
  x-source-en-path: global-account/v1.6/banking.yaml
  description: |
    UQPAY Banking API 为全球资金流转提供完整的银行与支付解决方案。

    ## 核心功能
    - 国际支付与转账
    - 多币种账户管理
    - 实时换汇
    - 虚拟账户服务
    - 资金充值与提现

    ## 认证
    调用 UQPAY API 时，使用 API 密钥对客户端请求进行认证。
    API 密钥是用于认证用户身份、授予特权操作访问权限的唯一数据字符串。
    请始终对 API 密钥保密并妥善保管。

    ## 服务组件
    - **Payout**：创建并管理向受益人发起的国际资金转账
    - **Payer**：管理发起付款并授权资金转账的实体
    - **Beneficiary**：管理收款方信息与银行信息
    - **Balance**：查看并管理多币种账户余额
    - **Deposit**：处理入账资金转账
    - **Virtual Accounts**：使用外币本地银行账户
    - **Conversion**：以有竞争力的汇率执行换汇

    ## 快速开始
    1. 获取 API 凭证
    2. 使用 sandbox URL 搭建测试环境
    3. 接入认证
    4. 从基础操作开始

    ## 支持
    如需技术支持与集成协助，请联系 UQPAY 支持团队。
  contact:
    name: UQPAY Support
    url: https://www.uqpay.com/support
    email: banking.tech@uqpay.com
  license:
    name: Proprietary
    url: https://www.uqpay.com/legal/api-terms
  termsOfService: https://www.uqpay.com/legal/terms
  x-api-id: banking-api-v1.6.0
  x-logo:
    url: https://uqpay.com/img/UQPAY_LogoAnimv2.gif
    backgroundColor: '#FFFFFF'
    altText: UQPAY Logo
  x-categories:
    - Banking
    - Payment Processing
    - Foreign Exchange
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox 基础 URL。
  - url: https://api.uqpay.com/api
    description: 生产环境基础 URL。
security: []
tags:
  - name: Balances
    description: 查看并管理账户中不同币种的可用资金。
  - name: Transfers
    description: 钱包转账资源用于将资金从你的 UQPAY 账户直接转入关联账户。
  - name: Deposits
    description: 充值是指向你的 UQPAY 全球收款账户发起的银行转账，用于补充资金或从第三方收款。
  - name: Virtual Accounts
    description: 虚拟账户是以外币形式存在的本地银行账户。它们支持全球收款，提供可从各类平台收款的账户信息。虚拟账户也可用于为 UQPAY 余额充值。
  - name: Payout
    description: >-
      当你向受益人发起付款时会创建一个 Payout
      资源。它记录受益人、银行信息、付款金额、状态及其他相关信息。你可以使用直接填写的受益人信息，或使用先前创建的受益人 ID 来创建 payout。
  - name: Payers
    description: 付款人是发起 payout 并授权将资金从其账户转入受益人账户的一方。
  - name: Beneficiaries
    description: 受益人是资金的收款方，通常也是最终从 payout 中获益的一方。
  - name: Conversion
    description: 管理交易的换汇与汇率。
  - name: Exchange Rates
    description: 获取指定货币对或全部可用货币对的实时汇率。
  - name: Global Accounts
    description: ⚠️ 警告 此 API 版本已弃用。已弃用的 API 版本最终将不再受支持。全球收款账户是充当本地银行账户的外币账户。
  - name: Simulator
    description: 在 sandbox 环境中模拟充值交易。
paths:
  /v1/deposit/{id}:
    get:
      tags:
        - Deposits
      summary: Retrieve Deposit
      description: 使用给定的 deposit ID 获取某笔充值的详情。
      operationId: retrieve-deposit
      parameters:
        - $ref: '#/components/parameters/XOnBehalfOf'
        - $ref: '#/components/parameters/IdPath'
      responses:
        '200':
          description: OK —— 成功获取账户详情。
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DepositRetrieveResponse'
                title: RetrieveAccountResponse
      security:
        - XAuthToken: []
components:
  parameters:
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >
        指定代表哪个子账户发起请求。应设为
        `account_id`，可通过[查询关联账户列表](/zh/account-center/v1.6/api-reference/list-connected-accounts-1)获取。如果省略或留空，请求将使用主账户执行。

        更多信息参见[关联账户](/zh/account-center/v1.6/guide/connected-accounts)。
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
    IdPath:
      name: id
      description: 资源的通用唯一标识符（UUID v4）。
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: b3d9d2d5-4c12-4946-a09d-953e82sed2b0
  headers:
    XResponseId:
      description: 响应的通用唯一标识符（UUID v4）。在与 UQPAY 支持团队沟通时有助于定位某个请求。
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    DepositRetrieveResponse:
      type: object
      required:
        - deposit_id
        - short_reference_id
        - amount
        - currency
        - deposit_fee
        - deposit_status
        - complete_time
        - receiver_account_number
        - sender
      properties:
        deposit_id:
          type: string
          description: 充值 ID。
          example: 72970a7c-7921-431c-b95f-3438724ba16f
        short_reference_id:
          $ref: '#/components/schemas/ShortReferenceId'
        amount:
          type: string
          description: 充值的金额。表示扣除任何手续费之前的总额。
          example: '10000'
        currency:
          $ref: '#/components/schemas/Currency'
        deposit_fee:
          type: string
          description: 充值的手续费。
          example: '1'
        deposit_status:
          type: string
          enum:
            - PENDING
            - COMPLETED
            - FAILED
          description: 充值的状态。
          example: COMPLETED
        deposit_reference:
          type: string
          description: 充值的附言。
          example: test reference
        create_time:
          $ref: '#/components/schemas/CreateTime'
        complete_time:
          $ref: '#/components/schemas/CompleteTime'
        receiver_account_number:
          $ref: '#/components/schemas/AccountNumber'
        sender:
          type: object
          description: 发起该充值的汇款方信息。
          properties:
            sender_name:
              $ref: '#/components/schemas/Name'
            sender_country:
              $ref: '#/components/schemas/CountryCode'
            sender_account_number:
              $ref: '#/components/schemas/AccountNumber'
            sender_swift_code:
              $ref: '#/components/schemas/SwiftCode'
    ShortReferenceId:
      type: string
      example: P220406-LLCVLRM
      description: 系统生成的用于标识该实体的编号。
    Currency:
      type: string
      example: USD
      description: >-
        受益人银行账户中持有资金的币种。三位字母 [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)
        币种代码。
      maxLength: 3
      minLength: 3
    CreateTime:
      type: string
      format: date/time
      example: '2024-03-01T00:00:00+08:00'
      description: >-
        记录在系统中创建时的时间戳。时间戳遵循 [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
        标准。
    CompleteTime:
      type: string
      format: date/time
      example: '2024-03-01T00:00:00+08:00'
      description: 请求成功处理并标记为 `COMPLETED` 时的时间戳。
    AccountNumber:
      type: string
      example: '12345678'
      description: |
        账号，多用于非欧洲国家/地区，account_number 与 iban 须填写其一。

        仅允许英文字母（大小写）和数字；不允许使用短横线或其他特殊字符。
      pattern: ^[a-zA-Z0-9]*$
      maxLength: 60
    Name:
      type: string
      example: UQPAY SG
      description: 面向客户展示的商户名称。
    CountryCode:
      type: string
      example: SG
      description: >-
        两位字母国家/地区代码 [ISO 3166-1
        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)。
      maxLength: 2
      minLength: 2
    SwiftCode:
      type: string
      example: WELGBE22
      description: 受益人银行账户的 SWIFT 代码。
      maxLength: 30
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: 由 UQPay 提供的登录 API Token。

````